베스트셀링 인기 워드프레스 테마 Top 30 자세한 정보

카페24: PHP 7.4 지원 추가

Last Updated: 2022년 1월 26일 | 2개 댓글
  • 네이버 블로그 공유하기
  • 네이버 밴드에 공유하기
  • 페이스북 공유하기
  • 트위터 공유하기
  • 카카오스토리 공유하기

카페24에서 이제 PHP 7.4를 적용할 수 있습니다. 카페24 웹호스팅을 이용하는 경우 PHP 버전을 7.4로 변경 신청하시기 바랍니다. PHP 5.x에서 변경 신청하는 경우에는 반드시 데이터와 DB를 백업한 후에 PHP 버전을 업그레이드해야 사이트 복원이 가능합니다.

카페24: PHP 7.4 지원

카페24에서는 최근까지 PHP 7.3 버전까지 지원되었습니다. 하지만 PHP 7.3은 보안 지원이 종료되어 보안상에 문제가 발생할 수 있습니다. 현재 지원되는 PHP 버전은 PHP 7.4, PHP 8.0, 그리고 PHP 8.1입니다.

현재 지원되는 PHP 버전

워드프레스에서도 PHP 7.4 이상을 권장하고 있습니다(참고). 그러므로 카페24 호스팅을 이용하고 있는 경우 PHP 버전을 가급적 PHP 7.4로 변경하시기 바랍니다. PHP 7.4로 업그레이드하면 사이트 속도도 향상될 것입니다.

PHP 7.4의 보안 지원이 2022년 11월 28일까지이므로 올해가 가기 전에 PHP 8.0에 대한 지원이 추가되지 않을까 예상해봅니다.

카페24에서 PHP 버전 변경 신청 방법

카페24에서는 호스팅관리 > 연장/변경/추가옵션 > 변경신청에서 PHP 변경을 요청할 수 있습니다.

카페24 PHP 버전 변경하기

변경신청 페이지가 표시되면 서버환경 변경 섹션의 PHP 버전 변경에서 PHP 7.4를 선택하고 변경신청 버튼을 클릭하면 됩니다.

카페24 PHP 버전 7.4 버전 변경 신청

PHP 변경 신청을 하면 변경 사항이 5분 이내에 적용됩니다. 만약 다음과 같은 화면이 표시되면 반드시 전체 백업을 하신 후에 진행하시기 바랍니다.

카페24 PHP 버전 변경 시 주의 사항

위와 같은 화면이 표시되면 반드시 데이터와 DB를 백업하신 후에 진행하시기 바랍니다. 백업 파일이 없으면 PHP 변경 신청 후에 사이트를 복원할 수 없게 되는 불상사가 발생할 수 있습니다. 실제로 이 경고를 무시하고 백업 없이 PHP 버전을 변경했다가 사이트를 복구하지 못하는 안타까운 상황이 발생하기도 합니다.

다시 한 번 강조하지만 위의 화면과 같이 경고가 표시되면 반드시 백업 파일을 다운로드하여 PC에 잘 보관하시기 바랍니다!!!

PHP 버전을 변경한 후에 워드프레스 알림판의 도구 > 사이트 건강 > 정보 탭 > 서버 섹션에서 PHP 버전을 확인할 수 있습니다. PHP 버전을 PHP 7.4로 업그레이드한 후에 사이트에 문제가 발생하면 워드프레스, 테마, 플러그인을 모두 최신 버전으로 업데이트해보시기 바랍니다. 그래도 문제가 해결이 안 되면 다시 PHP 버전을 다운그레이드하는 것을 고려할 수 있습니다.

PHP 다운그레이드도 동일한 방법으로 PHP 변경 신청하여 PHP 버전을 낮출 수 있습니다. 카페24는 변경 신청을 하면 자동으로 처리하므로 시간이 많이 소요되지는 않습니다. 다만, PHP 버전에 따라 데이터가 초기화되어 다시 복구해야 하는 작업이 필요할 수 있습니다. (cPanel을 제공하는 호스팅에서는 PHP 버전을 변경해도 데이터 초기화가 안 됩니다.) 국내의 일부 호스팅에서는 PHP 버전 변경을 신청하면 수동으로 처리하기도 합니다. 그런 경우에는 시간이 제법 걸릴 수 있습니다.

마치며

카페24에서 PHP 7.3 지원 추가 이후에 한동안 새로운 PHP 버전에 대한 지원이 추가되지 않아서 PHP 7.4 지원 없이 곧바로 PHP 8.0으로 넘어갈 것으로 예상했지만 PHP 8.0 대신 PHP 7.4에 대한 지원을 추가했네요.

현재 최신 버전은 PHP 8.1입니다. 아직 PHP 8.1을 지원하지 않는 워드프레스 테마와 플러그인이 있기 때문에 일부 워드프레스 사이트에서는 오류가 발생할 수 있습니다. 하지만 2022년 1월 25일에 워드프레스 5.9 업데이트가 릴리스되면서 PHP 8.1에 대한 지원이 향상되었고, PHP 8.1을 지원하는 테마와 플러그인이 늘어나고 있으므로 PHP 8.1을 사용하는 사이트가 점차 늘어날 것으로 보입니다.

워드프레스 5.9 버전이 릴리스되면서 이 블로그에도 PHP 8.1을 적용했습니다. 아직 큰 오류는 눈에 띄지 않고 있습니다. 블루호스트 등 일부 웹호스팅에서는 PHP 8.0과 PHP 8.1을 이용할 수 있습니다. PHP 8.1은 2022년 1월 현재 약 10%의 점유율을 기록하고 있습니다. PHP 8.1은 PHP 8.0에 비해 5~8% 정도 성능이 향상되었다고 합니다.

참고



2 개 댓글

Leave a Comment

    • PHP 버전이 높을수록 보안과 속도면에서 유리한 것 같습니다. PHP 7.3은 이제 보안 지원이 종료되었기 때문에 PHP 7.4 이상으로 업그레이드하는 것이 바람직합니다. 다행히 카페24에서도 PHP 7.4를 지원해주어서 저도 (비록 테스트 사이트로 활용하고 있지만) PHP 7.4로 변경했습니다.ㅎ 하지만 PHP 7.4도 보안 지원이 올해 말에 끝나므로 조만간 PHP 8.0도 지원해주지 않을까 예상해봅니다.

      응답